package view.components 
{
	import controller.events.MyAppEvent;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import view.components.MyClassToBeInjected;
	
	public class ADummyView extends Sprite
	{
		[Inject]
		public var myClassToBeInjectedInstance : MyClassToBeInjected;
		
		[PostConstruct]
		public function postConstruct():void {
			trace('ADummyView :: postConstruct');
		}
		
		public function ADummyView() 
		{
			if (myClassToBeInjectedInstance) {
				trace('ADummyView :: myClassToBeInjectedInstance.myUniqueName == ', myClassToBeInjectedInstance.myUniqueName);	
			}
			else {
				trace('ADummyView :: myClassToBeInjectedInstance == null');	
			}
			addEventListener(Event.ADDED_TO_STAGE, onInit);
			
		}
		
		private function onInit(ev:Event):void {
			this.stage.addEventListener(MouseEvent.CLICK, onClick);
		}
		
		private function onClick(ev:MouseEvent):void {
			trace('ADummyView :: onClick');
			dispatchEvent( new MyAppEvent(MyAppEvent.CLICK));
		}
		
	}

}