package view.mediators 
{
	import org.robotlegs.mvcs.Mediator;
	import view.components.ADummyView;
	import controller.events.MyAppEvent;
	import flash.events.MouseEvent;
	import view.components.MyClassToBeInjected;
	
	/**
	 * ...
	 * @author Nicolas
	 */
	public class ADummyViewMediator extends Mediator 
	{
		[Inject]
		public var myClassToBeInjectedInstance : MyClassToBeInjected;
		
		[Inject]
		public var myDummyViewInstance : ADummyView;
		
		[PostConstruct]
		public function postConstruct():void {
			trace('ADummyViewMediator :: postConstruct');
			trace('ADummyViewMediator :: myClassToBeInjectedInstance.myUniqueName == ', myClassToBeInjectedInstance.myUniqueName);
		}
		
		public function ADummyViewMediator() 
		{
			if (myClassToBeInjectedInstance)
				trace('ADummyViewMediator :: myClassToBeInjectedInstance.myUniqueName == ', myClassToBeInjectedInstance.myUniqueName);
			else
				trace('ADummyViewMediator :: myClassToBeInjectedInstance == NULL !!!');
		}
		
		override public function onRegister() : void
		{
			trace('ADummyViewMediator :: onRegister : myClassToBeInjectedInstance.myUniqueName == ', myClassToBeInjectedInstance.myUniqueName);			
			addViewListener(MyAppEvent.CLICK, onClick, MyAppEvent);
		}		
		
		private function onClick(ev:MyAppEvent):void {
			trace('ADummyViewMediator :: onClick');
			dispatch( new MyAppEvent(MyAppEvent.CONSTRUCT_CLASS));
		}
		
	}

}